Subject: Re: strange mount behaviour...
From: [email-masked] (Michael Hirmke)
To: [email-masked]
Date: 05 Mar 1999 00:06:00 +0100

Hi Earnie,

[...]
>> To avoid problems, you shouldn't mount directories from the same
>> partition, if it isn't absolutely nescessary.
[...]
>
>Why do you give this warning?  I don't have problems with have more
>than one mount on the same device.

I had trouble with the find command giving "no such file or directory"
messages, if I have more than one mount from the same partition.
Others reported this behaviour, too, and confirmed, that it went
away, when they used links instead of mounts.
Here are my messages regarding the find problem:

------------------------< snip snip snip >-----------------------------
Hi *,

anyone able to tell me, why this happens with find:

MIKE-[/usr]_$ls -l
total 0
drwxr-xr-x   6 544      DomAdmin        0 Dec  7 22:43 cygwin-b20/
drwxr-xr-x   2 544      DomAdmin        0 Dec  7 22:57 info/
drwxr-xr-x  10 544      DomAdmin        0 Dec  6 01:25 local/
drwxr-xr-x   6 544      DomAdmin        0 Dec  7 22:58 man/
drwxr-xr-x   3 544      DomAdmin        0 Dec  6 01:27 spool/
MIKE-[/usr]_$find . -name "frcode"
find: ./cygwin-b20/H-i586-cygwin32/i586-cygwin32: No such file or directory
find: ./cygwin-b20/H-i586-cygwin32/lib: No such file or directory
find: ./cygwin-b20/H-i586-cygwin32/libexec: No such file or directory
find: ./cygwin-b20/include: No such file or directory
find: ./cygwin-b20/share: No such file or directory
find: ./cygwin-b20/Uninst.isu: No such file or directory
find: ./info: No such file or directory
find: ./local: No such file or directory
find: ./man: No such file or directory
find: ./spool: No such file or directory

Why does find say, "No such ..." ?
Btw. this happens with the original B20.1 .dll and also with Corinna's
tape aware library.
------------------------< snip snip snip >-----------------------------
Hi,

I could solve the problem with find, I reported here recently.
At least I found a work around for me.
Perhaps you can take it as a bug report, too ?!?

It was a problem with my mount table.
I had a mount table like this:

C:                                     /                native  text=binary
c:\Entw\Perl                           /Programme/Perl  native  text=binary
c:\usr\cygwin-b20\H-i586-cygwin32\bin  /bin             native  text=binary
d:                                     /d               native  text=binary
\\.\tape0                              /dev/nst0        native  text=binary
\\.\tape0                              /dev/st0         native  text=binary
e:                                     /e               native  text=binary
c:\usr\local\etc                       /etc             native  text=binary
z:                                     /home            native  text=binary
d:\var                                 /var             native  text=binary

As you can see, besides the necessary mount for c: -> / there are two
other mounts for directories on the same drive - 
c:\Entw\Perl and c:\usr\cygwin-b20\H-i586-cygwin32\bin !
I replaced them with symbolic links and everything started to work as
expected.
So I suppose, Cygwin gets confused, when it has to handle more than one
mount for the the same partition or the partition's directories.

Any comments on this ?
------------------------< snip snip snip >-----------------------------

There were no comments on this to sched some light on the problem,
though.

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/

--
Want to unsubscribe from this list?
Send a message to [email-masked]